<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * シリーズ削除確認
 *
 * @package     Admin.Datamanage.Series.Delete.Check
 * @author      netnee T.Otogawa <tomokazu.otogawa@netnee.jp>
 * @access      public
 */
class Admin_Datamanage_Series_Delete_Check
{
    var $c_series;
    var $session;
    var $makernm;
    var $name;
    var $kana;
    var $recommend;
    var $makercd;
    var $seriescd;
    var $updcnt;
    var $data;

    var $title;
    var $pagename;
    var $actionnm;
    var $div;

    var $srcword;       // 検索値
    var $srcdispnum;    // 表示件数
    var $from;          // ページ番号
    
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Datamanage_Series_Delete_Checkが実行されました", "Admin_Datamanage_Series_Delete_Check#execute");
      
        $this->data = $this->c_series->selectKeyView($this->makercd,$this->seriescd);
        
        $this->updcnt = $this->data["updcnt"];
        
        $postdata = array("makercd"=>$this->makercd,
                          "seriescd"=>$this->seriescd,
                          "updcnt"=>$this->updcnt);

        $this->session->removeParameter("series");
        $this->session->setParameter("series", $postdata);

        if (!isset($this->name) && 
            !isset($this->kana) && 
            !isset($this->recommend)) {

            $this->name = $this->data["seriesnm"];
            $this->kana = $this->data["seriesnmkana"];
            $this->recommend = $this->data["recommenddiv"];
            $this->updcnt = $this->data["updcnt"];
            }
        
        return 'success';
    }
}
?>
